install.packages("mada")
library("mada")
data("AuditC")
AuditC

madad(AuditC)
AuditC.d <- madad(AuditC)
AuditC.d$fpr

forest(madad(AuditC), type = "sens")
forest(madad(AuditC), type = "spec")

rs <- rowSums(AuditC)
weights <- 4 * rs / max(rs)
crosshair(AuditC, xlim = c(0,0.6), ylim = c(0.4,1),col = 1:14, lwd = weights)

ROCellipse(AuditC, pch = "")
points(fpr(AuditC), sens(AuditC))

mslSROC(AuditC, lty=2, add=FALSE)
