install.packages("mada")
library("mada")
data("AuditC")

(fit.DOR.DSL <- madauni(AuditC))

(fit.DOR.MH <- madauni(AuditC, method = "MH"))

(summary(fit.DOR.DSL))

forest(fit.DOR.DSL)

(fit.phm.homo <- phm(AuditC, hetero = FALSE))

(fit.phm.het <- phm(AuditC))

summary(fit.phm.homo)

summary(fit.phm.het)

plot(fit.phm.het, xlim = c(0,0.6), ylim = c(0.4,1))
ROCellipse(AuditC, add = TRUE)
