install.packages("HSROC")
library("HSROC")

#1.-Meta-Analysis in the presence of a gold
#standard reference test assuming conditional independence

data(MRI)
MRI

args(HSROC)

init.alpha = c(2.51, 2.54, 3.81, 2.41, 2.64, 2.70, 3.31, 3.39, 3.11, 2.99)
init.theta = c(-0.51, -0.39, 0.33, -2.06, -0.14, -0.08, 1.11, 0.38, -0.86, -0.38)
init.s1 = rep(0.9,10)
init.c1 = rep(0.9,10)
init.pi = c(0.38, 0.17, 0.78, 0.07, 0.74, 0.84, 0.52, 0.95, 0.07, 0.56)

init_within = cbind(init.alpha, init.theta, init.s1, init.c1, init.pi)

init_within = cbind(init.theta, init.alpha, init.s1, init.c1, init.pi)

init.THETA = -0.16
init.sig.theta = 0.75
init.LAMBDA = 2.58
init.sig.alpha = 0.5
init.beta = 0.25

init_between = c(init.THETA, init.sig.theta, init.LAMBDA, init.sig.alpha, init.beta)

init = list(init_within, init_between)

HSROC(data=MRI, iter.num=50000, init=init )

args(HSROCSummary)
dir.create("C:/MRI/Chain1")
HSROC(data=MRI, iter.num=50000, init=init, path="C:/MRI/Chain1" )


