/* Open Data Set*/
use "E:\Trabajo\Universidad de Salamanca\Doctorado\Tesis Doctoral\Tesis-USAL-doctorado\Tesis-USAL-doctorado\Capitulo4\midas_example.dta", clear
/*Details of the data set */
describe
/*  Model prediction and diagnostics */
findit mida
/*generates a forest plot or roc curve*/
midas tp fp fn tn, eb(for)
midas tp fp fn tn, modchk(all)
/*  Bivariate Association*/
midas tp fp fn tn, bivbox 
/*Summary Performance Estimates*/
midas tp fp fn tn, res(sum) nip(1)
/* Heterogeneity Statistics*/
midas tp fp fn tn, res(het) nip(1) 
/* Forest plot to demonstrate study-specific sensitivity and specificity on right y-axis*/
midas tp fp fn tn, texts(0.60) bfor(dss) id(author year) ford fors
/* Summary ROC Curve*/
midas tp fp fn tn, sroc(both)
/* Linear regression test of funnel plot asymmetry*/
findit mylabels
midas tp fp fn tn, pubbias
/* Fagan plot (Bayes Nomogram)*/
midas tp fp fn tn, fagan(0.25)
/*Likelihood ratio scattergram*/
midas tp fp fn tn, lrmat
/* Predictive Values and Probability Modifying Plot*/
midas tp fp fn tn, pddam(0.25 0.75)
